/**
 * @author: <ziad.khoury.hanna@oceandatalab.com>
 *
 * Copyright (C) 2014-2024 OceanDataLab
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
import * as REH from './utils/regexp.js';
import * as T2D from './utils/transform.js';

const RegExpHelpers = Object.assign({}, REH);
const Transform2D = Object.assign({}, T2D);

export * from './utils/ajax.js';
export * from './utils/bezier.js';
export * from './utils/class_utils.js';
export * from './utils/comparator.js';
export * from './utils/date_utils.js';
export * from './utils/dom_utils.js';
export * from './utils/empty_function.js';
export * from './utils/events_delegator.js';
export * from './utils/events_hub.js';
export * from './utils/fn_utils.js';
export * from './utils/functional.js';
export * from './utils/hid.js';
export * from './utils/html.js';
export * from './utils/is.js';
export * from './utils/iter.js';
export * from './utils/keyboard_manager.js';
export * from './utils/math.js';
export * from './utils/promise_utils.js';
export {RegExpHelpers, Transform2D};
export * from './utils/scheduling.js';
export * from './utils/sort.js';
export * from './utils/types.js';
export * from './utils/typescript.js';
export * from './utils/url_utils.js';
export * from './utils/utils.js';
