/**
 * @author <ziad.khoury.hanna@oceandatalab.com>
 *
 * Copyright (C) 2014-2024 OceanDataLab
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
/**
 * @param {number} a
 * @param {number} b
 * @returns {number}
 */
export function numericComparator(a, b) {
  return a - b;
}

/**
 * @param {any} a
 * @param {any} b
 * @returns {-1 | 0 | 1}
 */
export function comparisonComparator(a, b) {
  if (a < b) {
    return -1;
  }
  if (a > b) {
    return 1;
  }
  return 0;
}

/**
 * @template {(a: any, b: any) => number} T
 * @param {T} comparator
 * @returns {(...args: Parameters<T>) => number}
 */
export function reverseComparator(comparator) {
  return (a, b) => -comparator(a, b);
}

/**
 * @param {number} result
 * @returns {number}
 */
export function reverseComparisonResult(result) {
  return -result;
}
