/**
 * @author <ziad.khoury.hanna@oceandatalab.com>
 *
 * Copyright (C) 2014-2024 OceanDataLab
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
/**
 * @returns {void}
 */
export function emptyFunction() { /*empty*/ }

/**
 * @template T
 * @param {T} value
 * @returns {() => T}
 */
export function emptyFunctionReturning(value) {
  return () => value;
}
export const emptyFunctionReturningFalse = emptyFunctionReturning(/** @type {const} */ (false));
export const emptyFunctionReturningTrue = emptyFunctionReturning(/** @type {const} */ (true));
export const emptyFunctionReturningNull = emptyFunctionReturning(null);

/**
 * @template T
 * @this {T}
 * @returns {T}
 */
export function emptyFunctionReturningThis() {
  return this;
}

/**
 * @template {number} N
 * @param {N} n
 */
export function emptyFunctionReturningNthArgument(n) {
  /**
   * @template {any[]} T
   * @param {T} args
   * @returns {T[N]}
   */
  return function(...args) {
    return arguments[n];
  };
}

/**
 * @template T
 * @param {T} argument
 * @returns {T}
 */
export function emptyFunctionReturningArgument(argument) {
  return argument;
}

/**
 * @returns {never}
 * @throws {Error}
 */
export function emptyFunctionThrowingNotImplemented() {
  throw new Error('Not Implemented');
}
