/**
 * @author: <ziad.khoury.hanna@oceandatalab.com>
 *
 * Copyright (C) 2014-2024 OceanDataLab
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
import {OpenLayers} from '../../vendors/openlayers.js';

export class OLOptionalImageTile extends OpenLayers.Tile.Image {
  shouldDraw() {
    var shouldDraw = OpenLayers.Tile.Image.prototype.shouldDraw.apply(this, arguments);
    return shouldDraw && !this.isTileEmpty();
  }

  isTileEmpty() {
    if (this.layer.mask) {
      var xyz = this.layer.getXYZ(this.bounds);

      if (!this.layer.mask.hasTile(xyz.z, xyz.x, xyz.y)) {
        return true;
      }
    }

    return false;
  }

  setImgSrc(url) {
    if (!url) {
      url = this.blankImageUrl;
    }
    OpenLayers.Tile.Image.prototype.setImgSrc.call(this, url);
  }
}
