/**
 * @author: <ziad.khoury.hanna@oceandatalab.com>
 *
 * Copyright (C) 2014-2024 OceanDataLab
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
import {Syntool} from '../syntool.js';
import './goto_nearest.js';

Syntool.extend({
  [Syntool.NAME]: 'AutoGoToNearest',
  [Syntool.INIT]() {
    this.shortcutsStore.add('Global', {
      id         : 'auto-jump-to-nearest-dataset',
      description: 'Jump to the date of the nearest dataset after selection of a single product',
      context    : this,
      handler(productId) {
        if (
          this.productsStore.getSelectedProductsCount() === 1 &&
          this.productsStore.isProductSelected(productId)
        ) {
          this.afterUpdate(() => {
            if (
              this.productsStore.getSelectedProductsCount() === 1 &&
              this.productsStore.isProductSelected(productId)
            ) {
              this.executeShortcutWithId(
                'jump-to-nearest-dataset',
                true /*notify*/,
                true /*ifNeeded*/
              );
            }
          });
        }
        return true;
      },
    });
  },
});
