/*eslint-disable strict*/
(function() {
  'use strict';

  function supported() {
    // all bots are supported
    if (/bot|mediapartners|google favicon|crawl|spider/i.test(navigator.userAgent)) {
      return true;
    }

    // all browsers that support dynamic import() feature are supported
    try {
      return !!(
        // Legacy Edge 16 has an bad version of import, but doesn't support
        // <details> element while all other browsers that support dynamic
        // imports do support it
        window.HTMLDetailsElement &&

        // eslint-disable-next-line no-new-func
        new Function('return import("data:text/javascript;base64,")')()
      );
    } catch (e) {
      return false;
    }
  }

  var outdated = document.getElementById('outdated');

  function remove() {
    var parent = outdated.parentNode;
    parent.removeChild(outdated.previousSibling);
    parent.removeChild(outdated.nextSibling);
    parent.removeChild(outdated);
  }

  if (supported()) {
    remove();
    return;
  }

  var bkgColor = '#f25648'; // must stay in sync with outdated.css
  var txtColor = '#ffffff'; // must stay in sync with outdated.css
  var btnClose = document.getElementById('btnCloseUpdateBrowser');
  var btnUpdate = document.getElementById('btnUpdateBrowser');

  btnClose.onmousedown = function() {
    outdated.style.display = 'none';
    remove();
    return false;
  };
  btnUpdate.onmouseover = function() {
    this.style.color = bkgColor;
    this.style.backgroundColor = txtColor;
  };
  btnUpdate.onmouseout = function() {
    this.style.color = txtColor;
    this.style.backgroundColor = bkgColor;
  };
})();
