/**
 * @author: <ziad.khoury.hanna@oceandatalab.com>
 *
 * Copyright (C) 2014-2024 OceanDataLab
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
import '../../features/changelog.js';
import {MarkdownDialog} from './markdown_dialog.js';

export class ChangelogDialog extends MarkdownDialog {
  /*Public*/
  constructor(changelog, options) {
    super('changelog-dialog', {
      title: "What's new!",
      contentURL: changelog.url,
      onError   : {
        console: 'Error loading CHANGELOG!',
        header : 'Oops! Error loading the change log! 😳',
      },
    }, options);
    this.changelog = changelog;
    this.node.classList.add('h-hidden-in-screenshot-mode');
  }

  show(props) {
    this.changelog.updateLastViewedTime();
    super.show(props);
  }
}
window.ODL = Object.assign(window.ODL || {}, {ChangelogDialog});
