/**
 * @author <ziad.khoury.hanna@oceandatalab.com>
 *
 * Copyright (C) 2014-2024 OceanDataLab
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
import {Control} from '../../syntool.js';
import {NotificationsView} from './notifications_view.js';

export class NotificationsControl extends Control {
  constructor(options) {
    super(options);
    this.view = new NotificationsView();
  }

  onActivate() {
    this.view.store = this.syntool.notificationCenter.store;
    this.syntool.usableViewportNode.appendChild(this.view.node);
  }
  onDeactivate() {
    this.view.store = null;
    this.syntool.usableViewportNode.removeChild(this.view.node);
  }
}
window.ODL = Object.assign(window.ODL || {}, {NotificationsView});
