/**
 * @author <ziad.khoury.hanna@oceandatalab.com>
 *
 * Copyright (C) 2014-2024 OceanDataLab
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
import {extendClass, Syntool} from '../syntool.js';
import {
  ProductsSettingsListView,
} from './products_settings/products_settings_list_view.js';
import '../datasets/shape_dataset/syntool_filters.js';

extendClass(ProductsSettingsListView, {
  _createItemForProduct(product) {
    const item = window.original();
    if (Syntool.filters.product.shapesProduct(product)) {
      const filterLabelNode = item.querySelector('.js-filter-label');
      const filterInputNode = item.querySelector('.js-filter-input');
      filterLabelNode.textContent = filterLabelNode.textContent.replace('ID', 'Text');
      filterInputNode.placeholder = filterInputNode.placeholder.replace('Datasets ID', 'Shapes text');
    }
    return item;
  },
});
