/**
 * @author <ziad.khoury.hanna@oceandatalab.com>
 *
 * Copyright (C) 2014-2024 OceanDataLab
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
const BEZIER_ELLIPSE_CONSTANT = 4 * (Math.SQRT2 - 1) / 3;

function createBezierEllipsePath(x, y, rx, ry) {
  return [
    [
      [x + rx, x + rx, x + rx * BEZIER_ELLIPSE_CONSTANT, x],
      [x, x - rx * BEZIER_ELLIPSE_CONSTANT, x - rx, x - rx],
      [x - rx, x - rx, x - rx * BEZIER_ELLIPSE_CONSTANT, x],
      [x, x + rx * BEZIER_ELLIPSE_CONSTANT, x + rx, x + rx],
    ],
    [
      [y, y + ry * BEZIER_ELLIPSE_CONSTANT, y + ry, y + ry],
      [y + ry, y + ry, y + ry * BEZIER_ELLIPSE_CONSTANT, y],
      [y, y - ry * BEZIER_ELLIPSE_CONSTANT, y - ry, y - ry],
      [y - ry, y - ry, y - ry * BEZIER_ELLIPSE_CONSTANT, y],
    ],
  ];
}

export {
  BEZIER_ELLIPSE_CONSTANT,
  createBezierEllipsePath,
};
window.ODL = Object.assign(window.ODL || {}, {
  BEZIER_ELLIPSE_CONSTANT,
  createBezierEllipsePath,
});
