/**
 * @author <ziad.khoury.hanna@oceandatalab.com>
 *
 * Copyright (C) 2014-2024 OceanDataLab
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
var _listenersByObject = new WeakMap();

function call(fn) {
  fn();
}

export const eventsListeningExtension = {
  listenToEvent(hub, ...args) {
    hub.on(...args);
    var off = hub.off.bind(hub, ...args);
    var listeners = _listenersByObject.get(this);
    if (!listeners) {
      listeners = [];
      _listenersByObject.set(this, listeners);
    }
    listeners.push(off);
    return off;
  },
  stopAllListening() {
    var listeners = _listenersByObject.get(this);
    if (listeners) {
      listeners.forEach(call);
      _listenersByObject.delete(this);
    }
  },
};
window.ODL = Object.assign(window.ODL || {}, {eventsListeningExtension});
