/**
 * @author <ziad.khoury.hanna@oceandatalab.com>
 *
 * Copyright (C) 2014-2024 OceanDataLab
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
var input = null;

export function filePicker(multiple, accept, done, thisArg) {
  if (!input) {
    input = document.createElement('input');
    input.type = 'file';
    input.style.display = 'none';
    document.body.appendChild(input);
  }

  // if (directory) {
  //   input.setAttribute('directory', '');
  //   input.setAttribute('webkitdirectory', '');
  // } else {
  //   input.removeAttribute('directory');
  //   input.removeAttribute('webkitdirectory');
  // }
  if (multiple) {
    input.setAttribute('multiple', '');
  } else {
    input.removeAttribute('multiple');
  }
  if (accept) {
    input.setAttribute('accept', accept);
  } else {
    input.removeAttribute('accept');
  }

  input.onchange = function(event) {
    done.call(thisArg, this.files);
    this.remove();
    input = null;
  };
  input.click();
}
window.ODL = Object.assign(window.ODL || {}, {filePicker});
