/**
 * @author <ziad.khoury.hanna@oceandatalab.com>
 *
 * Copyright (C) 2014-2024 OceanDataLab
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
var POW_10 = [1e-6, 1e-5, 1e-4, 1e-3, .01, .1, 1, 10, 100, 1e3, 1e4, 1e5, 1e6, 1e7, 1e8];

function magnitude(number) {
  var exp = Math.floor(Math.log(number) / Math.LN10);

  // A lookup is way faster than using Math.pow(10, exp)
  return POW_10[exp + 6];
}

export {
  magnitude,
};
window.ODL = Object.assign(window.ODL || {}, {
  magnitude,
});
