/**
 * @author: <ziad.khoury.hanna@oceandatalab.com>
 *
 * Copyright (C) 2014-2024 OceanDataLab
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
import {linkStyleSheet} from '../utils/dom_utils.js';

import {SimileAjax} from './simile_timeline/simile/init.js';
import './simile_timeline/simile/platform.js';
import './simile_timeline/simile/dom.js';
import './simile_timeline/simile/graphics.js';
import './simile_timeline/simile/date-time.js';
import './simile_timeline/simile/data-structure.js';
import './simile_timeline/simile/units.js';
import './simile_timeline/simile/ajax.js';

import {Timeline} from './simile_timeline/init.js';
import './simile_timeline/timeline.js';
import './simile_timeline/band.js';
import './simile_timeline/themes.js';
import './simile_timeline/ethers.js';
import './simile_timeline/ether-painters.js';
import './simile_timeline/event-utils.js';
import './simile_timeline/labellers.js';

linkStyleSheet('css/vendors/simile_timeline.css');

window.Timeline = Timeline;
window.SimileAjax = SimileAjax;
export {SimileAjax, Timeline};
